List Platform Programs
GET /platform-programs/list
Returns a list of the caller’s Platform Programs.
This list uses pagination.
Available Filters
This endpoint supports advanced filtering and search capabilities based on the parameters below.
The parameters should be appended to the API URL as follows:
https://api.druo.com/platform-programs/list?page_size=1&status=CREATED
| Query Parameter | Description |
| status | The program's status. Possible values: CREATED, WAITING_FOR_REVIEW, REVIEW_IN_PROGRESS, REJECTED, ACTIVE, RESTRICTED, SUSPENDED, TERMINATED. |
| role | Your role in the program. Possible values: PROGRAM_MANAGER, NESTED_MEMBER. |
| date_from | The beginning of the creation date range in GMT time. Accepts a date (2026-07-01) or an instant (2026-07-01T10:00:00). |
| date_to | The end of the creation date range in GMT time. Accepts a date, which includes the whole day, or an instant (2026-07-01T10:00:00). |
Response Fields (array)
uuid
string
The Platform Program’s UUID.
Example value: plp_f4ac8520-3de3-40d6-9059-a5da34f34123
name
string
The name of the program.
Example value: Cafe Novo Reloaded
description
string
The description of the program.
Example value: Cafe Novo Reloaded Platform Program
status
string
The status of the program.
Example value: CREATED
Other values: CREATED, WAITING_FOR_REVIEW, REVIEW_IN_PROGRESS,
REJECTED, ACTIVE,RESTRICTED, SUSPENDED, TERMINATED
program_manager
object
The profile that manages the program, whoever the caller is.
Example value:
"program_manager": {
"uuid":"pro_894a2d55-a2b5-457b-976c-fb40384f7123",
"role":"PROGRAM_MANAGER",
"status":"ACTIVE",
"date_updated_gmt":"2026-05-15T00:12:50.684Z",
"date_created_gmt":"2023-03-06T18:11:51.884Z"
}
nested_members
object
The nested member settings of the program.
Example value:
"nested_members": {
"enrollment_status":"ACTIVE",
"max_number":null,
"count":9
}
date_created_gmt
string
Platform Program created date
Example value: 2026-11-10T21:34:23.081Z
date_updated_gmt
string
Platform Program updated date
Example value: 2026-11-10T21:34:23.081Z
curl --location 'https://api.druo.com/platform-programs/list' \ --header 'DRUO-Version: 2021-11-22' \ --header 'Authorization: Bearer ACCESS_TOKEN'
{
"platform_programs": [
{
"uuid": "plp_8555fd61-d666-480f-bc95-4d1d752fb123",
"name": "Cafe Novo Reloaded",
"description": "Cafe Novo Reloaded Platform Program",
"status": "ACTIVE",
"program_manager": {
"uuid": "pro_894a2d55-a2b5-457b-976c-fb40384f7123",
"role": "PROGRAM_MANAGER",
"status": "ACTIVE",
"date_updated_gmt": "2026-05-15T00:12:50.684Z",
"date_created_gmt": "2023-03-06T18:11:51.884Z"
},
"nested_members": {
"enrollment_status": "ACTIVE",
"max_number": null,
"count": 9
},
"date_created_gmt": "2026-10-06T15:27:11.657Z",
"date_updated_gmt": "2026-10-06T15:27:11.657Z"
}
],
"page_info": {
"has_next_page": true,
"page_size": 1
}
}